<?php

namespace App\Providers;

use App\Models\Ayar;
use Illuminate\Support\ServiceProvider;

class SettingsServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        $taxRate = Ayar::getTaxRate();
        config(['cart.tax' => $taxRate]);
    }
}
